package de.unirostock.sems.XmlFileServerClient.exceptions;

/**
 * The versionId in the Uri could not resolved to a xml document. The model itself may exists but not in this version!
 * 
 */
public class ModelVersionNotFoundException extends ModelNotFoundException {
	
	public static final String ID = "VERNFND";
	private static final long serialVersionUID = -8715123565826520321L;

	public ModelVersionNotFoundException() {
		super();
	}

	public ModelVersionNotFoundException(String message) {
		super(message);
	}

	public ModelVersionNotFoundException(Throwable cause) {
		super(cause);
	}

	public ModelVersionNotFoundException(String message, Throwable cause) {
		super(message, cause);
	}

	public ModelVersionNotFoundException(String message, Throwable cause,
			boolean enableSuppression, boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);
	}

}
